> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Store



## OpenAPI

````yaml https://api.vellaro.io/openapi.json patch /api/v1/admin/stores/{store_id}
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/admin/stores/{store_id}:
    patch:
      tags:
        - admin:stores
      summary: Update Store
      operationId: update_store_api_v1_admin_stores__store_id__patch
      parameters:
        - name: store_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Store Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StoreUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_StoreRead_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    StoreUpdate:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: Code
        type:
          anyOf:
            - type: string
              enum:
                - sales_point
                - warehouse
                - pickup_point
                - mixed
            - type: 'null'
          title: Type
        is_default:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Default
        is_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Active
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        ssl_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Ssl Url
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
        address_line1:
          anyOf:
            - type: string
            - type: 'null'
          title: Address Line1
        address_line2:
          anyOf:
            - type: string
            - type: 'null'
          title: Address Line2
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Postal Code
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        latitude:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Latitude
        longitude:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Longitude
        opening_hours:
          anyOf:
            - type: string
            - type: 'null'
          title: Opening Hours
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
      type: object
      title: StoreUpdate
    ApiResponse_StoreRead_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/StoreRead'
            - type: 'null'
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[StoreRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    StoreRead:
      properties:
        name:
          type: string
          title: Name
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: Code
        type:
          type: string
          enum:
            - sales_point
            - warehouse
            - pickup_point
            - mixed
          title: Type
          default: sales_point
        is_default:
          type: boolean
          title: Is Default
          default: false
        is_active:
          type: boolean
          title: Is Active
          default: true
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        ssl_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Ssl Url
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
        address_line1:
          anyOf:
            - type: string
            - type: 'null'
          title: Address Line1
        address_line2:
          anyOf:
            - type: string
            - type: 'null'
          title: Address Line2
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Postal Code
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        latitude:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Latitude
        longitude:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Longitude
        opening_hours:
          anyOf:
            - type: string
            - type: 'null'
          title: Opening Hours
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        id:
          type: string
          format: uuid
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - name
        - id
        - created_at
        - updated_at
      title: StoreRead
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````